class Apartament:

    numarAp = 0
    def __init__(self, proprietar, nrAp, pers, calorifere, mp, platit):
        """
        Descriere: Constructor explicit CLASA Apartament
        Preconditii: construieste un obiect de tipul Apartament
        Date: nrAp, proprietar, pers, calorifere, mp
        Postconditii: nrAp-integer, proprietar - String, pers-integer, calorifere-integer, mp-integer
        Rezultate: creearea unui obiect de tipul clasei cu atributele date
        """

        self.proprietar = proprietar
        self.nrAp = nrAp
        self.pers = pers
        self.calorifere = calorifere
        self.mp = mp
        self.platit = platit
        Apartament.numarAp += 1

    def getNrAp(self):
        return self.nrAp

    def setNrAp(self, nrAp):
        self.nrAp = nrAp

    def getProprietar(self):
        return self.proprietar

    def setProprietar(self, proprietar):
        self.proprietar = proprietar

    def getPers(self):
        return self.pers

    def setPers(self, pers):
        self.pers = pers

    def getCalorifere(self):
        return self.calorifere

    def setCalorifere(self, calorifere):
        self.calorifere = calorifere

    def getMP(self):
        return self.mp

    def setMP(self, mp):
        self.mp = mp

    def getPlatit(self):
        return self.platit

    def setPlatit(self, platit):
        self.platit = platit

    def TipNumarAp(self):
        print "Numarul total de apartamente: " + Apartament.numarAp