from controller import Controller

class UI:
    def __init__(self):
        self.controller = Controller()

    def run(self):
        #self.showMenu()
        while (True):
            self.showMenu()
            command = 0
            try:
                command = int(raw_input('\nIntroduceti numarul comenzi: '))       #cititm comanda
            except:
                pass                                                              #daca introducem la row_input un caracter atunci facem pass pt a recitii comanda
            if command == 1:
                self.showLocatariCoCurent()
            if command == 2:
                self.showLocatariCoTotal()
            if command == 3:
                self.showLocatariVenitMic()
            if command == 4:
                self.showLocatariRestantieri()
            if command == 5:
                self.showLocatariCostTotalDat()
            if command == 6:
                self.showLocatarNume()
            if command == 7:
                self.showLocatarPlatit()
            if command == 8:
                print 'Inchidere aplicatie'
                exit(0)

    def showMenu(self):
        print 'Comenzi:'
        print '1. Afisarea locatarilor si costul curent pe luna respectiva'
        print '2. Afisarea locatarilor si costul total pe luna respectiva '
        print '3. Afisarea locatarilor care au venitul mai mic 500Lei'
        print '4. Afisarea locatarilor restantieri'
        print '5. Aflati toti locatari care un costul total identic cu cel introdus de dvs'
        print '6. Afisati caracteristicile unui locatar dupa numele introdus de dvs'
        print '7. Afisati daca un locatar introdus de dvs a platit costul restant'
        print '8. Iesire'

    def showLocatariCoCurent(self):
        outputFile = open('locatari_CoCurent.txt', 'w')
        for instiintare in self.controller.listaInstiintariPlata():
            outputFile.write(instiintare.TipCostCurent()+ '\n')
        print 'Fisierul "locatari_CoCurent.txt" a fost modoficat\n'

    def showLocatariCoTotal(self):
        outputFile = open('locatari_CoTotal.txt', 'w')
        for instiintare in self.controller.listaInstiintariPlata():
            outputFile.write(instiintare.TipCostTotal()+ '\n')
        print 'Fisierul "locatari_CoTotal.txt" a fost modoficat\n'

    def showLocatariVenitMic(self):
        outputFile = open('locatari_venit.txt', 'w')
        for locatar in self.controller.listaLocatariVenitMic():
            outputFile.write(locatar.DateInfo()+ '\n')
        print 'Fisierul "locatari_venit.txt" a fost modoficat\n'

    def showLocatariRestantieri(self):
        outputFile = open('locatari_restantieri.txt', 'w')
        for locatar in self.controller.listaLocatariRestantieri():
            outputFile.write(locatar.TipCost()+ '\n')
        print 'Fisierul "locatari_restantieri.txt" a fost modoficat\n'

    def showLocatariCostTotalDat(self):
        outputFile = open('locatari_CoTotalDat.txt', 'w')
        cost = int(raw_input('\nIntroduceti costul: '))
        for locatar in self.controller.listaLocatariCoTotalDat(cost):
            outputFile.write(locatar.TipCostTotal()+ '\n')
        print 'Fisierul "locatari_CoTotalDat.txt" a fost modoficat\n'

    def showLocatarNume(self):
        nume = raw_input('\nIntroduceti numele complet al locatarului: ').replace('\r','')   #pune un '\r' pt final de rand/nou ran/enter
        print self.controller.getLocatarCaracteristici(nume).DateInfo()+'\n'

    def showLocatarPlatit(self):
        nume = raw_input('\nIntroduceti numele complet al locatarului cu plata: ').replace('\r','')
        if self.controller.getLocatarAPlatit(nume) == 1:
            print 'Locatarul '+nume+' a platit restanta'
        else:
            print 'Locatarul '+nume+' nu a platit restanta'
